FOG 1.6, identified problems



  • @Sebastian-Roth said in FOG 1.6, identified problems:

    @lebrun78 Please take a look at the apache and PHP-FPM error logs (see my signature) and post here. With 5xx server error we should get a proper message in the logs as well.

    Hello Sebatian
    Here it is:
    [12-Nov-2019 08:41:49 UTC] PHP Warning: ftp_login(): Login incorrect. in /var/www/html/fog/lib/fog/fogftp.class.php on line 274

    @Tom-Elliott said in FOG 1.6, identified problems:

    Also,

    Added Link directly now to the Menu bar.

    Hopefully that helps make it so much more accessible.

    Thank you Tom-Elliott


  • Senior Developer

    Also,

    Added Link directly now to the Menu bar.

    Hopefully that helps make it so much more accessible.

    e87f0a79-c9e2-45d3-8608-b9ddb8848959-image.png


  • Senior Developer

    FOG Client url is:

    http://<ipoffog>/fog/management/index.php?node=client

    You can go to this url directly.

    The other way to access is to choose Client Settings -> Home Tab -> Then click the click here link.


  • Developer

    @lebrun78 Please take a look at the apache and PHP-FPM error logs (see my signature) and post here. With 5xx server error we should get a proper message in the logs as well.



  • New problem
    When I try to deploy via task , deploying works.
    But when I try to deploy by boot menu on the client, I get:

    http://fogus/fog/service/ipxe/boot.php...  HTTP 5xx Server Error (http://ipxe.org/1d0c6598)
    Could not boot: HTTP: 5xx Server Error (http://ipxe.org/1d0c6598)
    

    Thank you for your help,

    Arnaud


  • Developer

    @lebrun78 said:

    where could I dowload client installer from the web interface ?

    As Tom is mostly working on this I can’t tell you from the top of my head. @Tom-Elliott?

    Though I can give you an official link: https://github.com/FOGProject/fog-client/releases/download/0.11.16/SmartInstaller.exe



  • @Sebastian-Roth said in FOG 1.6, identified problems:

    is the difference between 1.5.7.4
    Version 1.6 (for me): ChannelAlpha | Version1.5.7.733

    With your modification, advanced menu works fine :-)

    where could I dowload client installer from the web interface ?


  • Developer

    @lebrun78 Sorry, updated my post…

    Found and fixed an issue in the advanced menu code just now. Please re-pull the latest and re-run the installer.

    On a other test with Version 1.5.7.49, I did have to edit this file to change the adress of the chained server.

    So what is the difference between 1.5.7.49 and working-1.6?



  • @Sebastian-Roth said in FOG 1.6, identified problems:

    @lebrun78 May I ask you some questions on this?

    /tftpboot/default.ipxe is not updated in the web interface

    What do you mean by that? As far as I know we never had an option to make adjustments to that file in the web UI!?

    On a other test with Version 1.5.7.49, I did have to edit this file to change the adress of the chained server

    I use advanced ipxe to access mdt server. I have a problem with accessing to advanced ipxe

    Please post your advanced menu code here so we can have a look!
    Here it is:

    :MENU
    menu
    item --gap -- ---------------- iPXE boot menu ---------------- 
    item WIN10MDT1903 Boot MDT-Win10-1903
    item WIN10MDT64BIT Boot MDT Win10 64 bit iso
    item Fedora Installation Fedora
    item shell ipxe shell
    item return return to previous menu
    choose --default WIN10MDT1903 --timeout 5000 target && goto ${target}
    :Fedora
    kernel http://${next-server}/linuxboot/vmlinuz ks=http://${next-server}/linuxboot/distribs-Linux/Fedora25/anaconda-ks9.cfg
    initrd http://${next-server}/linuxboot/initrd.img
    boot
    :WIN10PE64BIT
    cpuid --ext 29 && set arch amd64 || set arch x86
    kernel http://${next-server}/wimboot
    initrd http://${next-server}/winpe/${arch}/media/Boot/BCD BCD
    initrd http://${next-server}/winpe/${arch}/media/Boot/boot.sdi boot.sdi
    initrd -n boot.wim http://${next-server}/winpe/${arch}/media/sources/boot.wim boot.wim
    boot
    :WIN10MDT64BIT
    cpuid --ext 29 && set arch x64 || set arch x86
    kernel http://${next-server}/wimboot
    initrd http://${next-server}/mdtboot/${arch}/media/Boot/BCD BCD
    initrd http://${next-server}/mdtboot/${arch}/media/Boot/boot.sdi boot.sdi
    initrd -n boot.wim http://${next-server}/mdtboot/${arch}/LiteTouchPE_${arch}.wim boot.wim
    boot
    :WIN10MDT1903
    cpuid --ext 29 && set arch x64 || set arch x86
    kernel http://${next-server}/wimboot
    initrd http://${next-server}/mdtboot/${arch}/media/Boot/BCD BCD
    initrd http://${next-server}/mdtboot/${arch}/media/Boot/boot.sdi boot.sdi
    initrd -n boot.wim http://${next-server}/mdtboot/${arch}/LiteTouchPE_1903.wim boot.wim
    boot
    

    In legacy boot I get a black background with slider

    Can you take a picture of that and post here?
    text alternatif


  • Developer

    @lebrun78 May I ask you some questions on this?

    /tftpboot/default.ipxe is not updated in the web interface

    What do you mean by that? As far as I know we never had an option to make adjustments to that file in the web UI!?

    EDIT: Found and fixed an issue in the advanced menu code just now. Please re-pull the latest and re-run the installer.


Log in to reply
 

548
Online

6.3k
Users

13.7k
Topics

129.2k
Posts